###################################################
### chunk number 1: 
###################################################
#line 35 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
figset <- function() par(mar=c(4,4,1,1)+.1)
options(SweaveHooks = list(fig = figset))
options("prompt" = "R> ", "continue" = "+  ")
require(vegan)


###################################################
### chunk number 2: 
###################################################
#line 57 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
data(sipoo)
mod <- nestedtemp(sipoo)
plot(mod, "i")
x <- mod$c["Falcsubb"]
y <- 1 - mod$r["Svartholm"]
points(x,y, pch=16, cex=1.5)
abline(x+y, -1, lty=2)
f <- function(x, p) (1-(1-x)^p)^(1/p)
cross <- function(x, a, p) f(x,p) - a + x
r <- uniroot(cross, c(0,1), a = x+y, p = mod$p)$root
arrows(x,y, r, f(r, mod$p), lwd=4)


###################################################
### chunk number 3: 
###################################################
#line 414 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
library(vegan)
data(varespec)
data(varechem)
orig <- cca(varespec ~ Al + K, varechem)


###################################################
### chunk number 4: a
###################################################
#line 423 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
plot(orig, dis=c("lc","bp"))


###################################################
### chunk number 5: 
###################################################
#line 427 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
#line 423 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw#from line#427#"
plot(orig, dis=c("lc","bp"))
#line 428 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"


###################################################
### chunk number 6: 
###################################################
#line 437 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
i <- sample(nrow(varespec))
shuff <- cca(varespec[i,] ~ Al + K, varechem)


###################################################
### chunk number 7: 
###################################################
#line 442 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
plot(shuff, dis=c("lc","bp"))


###################################################
### chunk number 8: a
###################################################
#line 451 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
plot(procrustes(scores(orig, dis="lc"), scores(shuff, dis="lc")))


###################################################
### chunk number 9: 
###################################################
#line 455 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
#line 451 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw#from line#455#"
plot(procrustes(scores(orig, dis="lc"), scores(shuff, dis="lc")))
#line 456 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"


###################################################
### chunk number 10: 
###################################################
#line 464 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
tmp1 <- rda(varespec ~ Al + K, varechem)
i <- sample(nrow(varespec)) # Different shuffling
tmp2 <- rda(varespec[i,] ~ Al + K, varechem)


###################################################
### chunk number 11: 
###################################################
#line 470 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
plot(procrustes(scores(tmp1, dis="lc"), scores(tmp2, dis="lc")))


###################################################
### chunk number 12: 
###################################################
#line 490 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
orig
shuff


###################################################
### chunk number 13: 
###################################################
#line 497 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
plot(procrustes(orig, shuff))


###################################################
### chunk number 14: 
###################################################
#line 511 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
tmp1 <- rda(varespec ~ ., varechem)
tmp2 <- rda(varespec[i,] ~ ., varechem)
proc <- procrustes(scores(tmp1, dis="lc", choi=1:14), scores(tmp2, dis="lc", choi=1:14))
max(residuals(proc))


###################################################
### chunk number 15: 
###################################################
#line 527 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
data(dune)
data(dune.env)
summary(dune.env)
orig <- cca(dune ~ Moisture, dune.env)


###################################################
### chunk number 16: 
###################################################
#line 536 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
plot(orig, dis="lc")


###################################################
### chunk number 17: a
###################################################
#line 555 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
plot(orig, display="wa", type="points")
ordispider(orig, col="red")
text(orig, dis="cn", col="blue")


###################################################
### chunk number 18: 
###################################################
#line 561 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"
#line 555 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw#from line#561#"
plot(orig, display="wa", type="points")
ordispider(orig, col="red")
text(orig, dis="cn", col="blue")
#line 562 "d:/Rcompile/CRANpkg/local/2.12/vegan/inst/doc/decision-vegan.Rnw"


